Skip to main content
GET
/
handoff-analytics
Get handoff analytics
curl --request GET \
  --url https://api.open.cx/handoff-analytics
{
  "summary": "<string>",
  "total_handoffs": 123,
  "total_sessions": 123,
  "start_date": "<string>",
  "end_date": "<string>",
  "reasons": [
    {
      "reason": "based_on_instructions",
      "count": 123,
      "percentage": 123
    }
  ],
  "reason_combinations": [
    {
      "reasons": [
        "based_on_instructions"
      ],
      "session_count": 123,
      "percentage": 123
    }
  ],
  "sentiments": [
    {
      "sentiment": "<string>",
      "count": 123,
      "percentage": 123
    }
  ],
  "trends": [
    {
      "date": "<string>",
      "count": 123
    }
  ],
  "knowledge_references": [
    {
      "type": "ai_profile",
      "id": "<string>",
      "count": 123
    }
  ],
  "tool_references": [
    {
      "type": "ai_profile",
      "id": "<string>",
      "count": 123
    }
  ],
  "instruction_references": [
    {
      "type": "ai_profile",
      "id": "<string>",
      "count": 123
    }
  ],
  "prohibited_topic_references": [
    {
      "type": "ai_profile",
      "id": "<string>",
      "count": 123
    }
  ]
}

Query Parameters

start_date
string

Start date in ISO 8601 format (defaults to 30 days ago)

end_date
string

End date in ISO 8601 format (defaults to now)

Response

Default Response

summary
string
required
total_handoffs
number
required
total_sessions
number
required
start_date
string
required
end_date
string
required
reasons
object[]
required
reason_combinations
object[]
required
sentiments
object[]
required
knowledge_references
object[]
required
tool_references
object[]
required
instruction_references
object[]
required
prohibited_topic_references
object[]
required